# L4Re Operating System Framework: Elf64_Ehdr Struct Reference

Loading...
Searching...
No Matches
Elf64_Ehdr Struct Reference
Utility Functions » ELF binary format

ELF64 header. More...

`#include <elf.h>`

Collaboration diagram for Elf64_Ehdr:

## Data Fields

unsigned char | e_ident [EI_NIDENT]
| see Elf_EIs
Elf64_Half | e_type
| type of ELF file
Elf64_Half | e_machine
| required architecture
Elf64_Word | e_version
| file version
Elf64_Addr | e_entry
| initial program counter
Elf64_Off | e_phoff
| offset of program header table
Elf64_Off | e_shoff
| offset of file header table
Elf64_Word | e_flags
| processor-specific flags
Elf64_Half | e_ehsize
| size of ELF header
Elf64_Half | e_phentsize
| size of program header entry
Elf64_Half | e_phnum
| number of entries in program header table
Elf64_Half | e_shentsize
| size of section header entry
Elf64_Half | e_shnum
| number of entries in section header table
Elf64_Half | e_shstrndx
| section header table index of strtab

## Detailed Description

ELF64 header.

Definition at line 146 of file elf.h.

## Field Documentation

## e_flags

Elf64_Word Elf64_Ehdr::e_flags

processor-specific flags

See also
  Elf_EF_ARM_s

Definition at line 155 of file elf.h.

## e_machine

Elf64_Half Elf64_Ehdr::e_machine

required architecture

See also
  Elf_EMs

Definition at line 150 of file elf.h.

## e_type

Elf64_Half Elf64_Ehdr::e_type

type of ELF file

See also
  Elf_ETs

Definition at line 149 of file elf.h.

## e_version

Elf64_Word Elf64_Ehdr::e_version

file version

See also
  Elf_EVs

Definition at line 151 of file elf.h.

The documentation for this struct was generated from the following file:

- l4/util/elf.h